<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('dynamic_comment', function (Blueprint $table) {
            $table->integer("reply_comment_id")->nullable()->comment("回复某个二级评论的id")->after("comment_id");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('dynamic_comment', function (Blueprint $table) {
            $table->dropColumn("reply_comment_id");
        });
    }
};
